For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Get a simulation

GET https://api.synthflow.ai/v2/simulations/{simulation_id}

Retrieve a simulation by ID.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/get-simulation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulations/{simulation_id}:
    get:
      operationId: get-simulation
      summary: Get a simulation
      description: Retrieve a simulation by ID.
      tags:
        - ''
      parameters:
        - name: simulation_id
          in: path
          description: Simulation ID.
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-simulation_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-simulationRequestBadRequestError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-simulationRequestNotFoundError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-simulationRequestUnprocessableEntityError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationReadOutCallSuccessType
    SimulationReadOutStatus:
      type: string
      enum:
        - in-progress
        - completed
        - failed
      title: SimulationReadOutStatus
    SimulationErrorInfo:
      type: object
      properties:
        message:
          type: string
        code:
          type: integer
        type:
          type: string
      required:
        - message
        - code
        - type
      description: Error information for failed simulations.
      title: SimulationErrorInfo
    TimelineItem:
      type: object
      properties:
        sender_type:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        timestamp_datetime:
          type:
            - string
            - 'null'
          format: date-time
        timestamp:
          type:
            - number
            - 'null'
          format: double
      description: Timeline event for a simulation call.
      title: TimelineItem
    SimulationSuccessCriteriaEvaluation:
      type: object
      properties:
        success:
          type: boolean
        reasoning:
          type: string
      required:
        - success
        - reasoning
      description: Evaluation result for a single success criterion.
      title: SimulationSuccessCriteriaEvaluation
    SimulationSuccessCriteriaAnalysis:
      type: object
      properties:
        success:
          type: boolean
        evaluations:
          type: array
          items:
            $ref: '#/components/schemas/SimulationSuccessCriteriaEvaluation'
      required:
        - success
        - evaluations
      description: Summary of the success criteria evaluation results.
      title: SimulationSuccessCriteriaAnalysis
    SimulationReadOut:
      type: object
      properties:
        simulation_id:
          type: string
          format: uuid
        simulation_session_id:
          type: string
          format: uuid
        simulation_case_id:
          type: string
          format: uuid
        simulation_case_name:
          type:
            - string
            - 'null'
        simulation_case_prompt:
          type:
            - string
            - 'null'
        success_criteria:
          type:
            - array
            - 'null'
          items:
            type: string
        call_success_type:
          oneOf:
            - $ref: '#/components/schemas/SimulationReadOutCallSuccessType'
            - type: 'null'
        persona_agent_id:
          type:
            - string
            - 'null'
          format: uuid
        persona_phone_number:
          type:
            - string
            - 'null'
        target_agent_id:
          type: string
          format: uuid
        agent_name:
          type:
            - string
            - 'null'
        agent_avatar_url:
          type:
            - string
            - 'null'
        target_phone_number:
          type:
            - string
            - 'null'
        target_call_id:
          type:
            - string
            - 'null'
        custom_variables:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
        status:
          $ref: '#/components/schemas/SimulationReadOutStatus'
        workspace_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        error_info:
          oneOf:
            - $ref: '#/components/schemas/SimulationErrorInfo'
            - type: 'null'
        recording_url:
          type:
            - string
            - 'null'
        timeline:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/TimelineItem'
        success_criteria_analysis:
          oneOf:
            - $ref: '#/components/schemas/SimulationSuccessCriteriaAnalysis'
            - type: 'null'
      description: Simulation details.
      title: SimulationReadOut
    get-simulation_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationReadOut'
      title: get-simulation_Response_200
    Get-simulationRequestBadRequestError:
      type: object
      properties: {}
      title: Get-simulationRequestBadRequestError
    Get-simulationRequestNotFoundError:
      type: object
      properties: {}
      title: Get-simulationRequestNotFoundError
    Get-simulationRequestUnprocessableEntityError:
      type: object
      properties: {}
      title: Get-simulationRequestUnprocessableEntityError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulations/simulation_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulations/simulation_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulations/simulation_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulations/simulation_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulations/simulation_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulations/simulation_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```